<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <import type="android.view.View" />

        <variable
            name="paddingBottomVisible"
            type="Boolean" />
    </data>
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/footerBG">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/disclaimer"
            style="@style/Disclaimer"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/spacing_xl"
            android:layout_marginTop="@dimen/spacing_4xl"
            android:layout_marginEnd="@dimen/spacing_4xl"
            android:text="@string/footer_disclaimer"
            android:textColor="@color/white"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/logo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/spacing_3xl"
            android:layout_marginTop="@dimen/spacing_2xl"
            app:layout_constraintBottom_toTopOf="@id/paddingBottom"
            app:layout_constraintStart_toStartOf="@id/disclaimer"
            app:layout_constraintTop_toBottomOf="@id/disclaimer"
            app:srcCompat="@drawable/logo_horizontal_white" />

        <View
            android:id="@+id/paddingBottom"
            android:layout_width="0dp"
            android:layout_height="@dimen/spacing_6xl"
            android:background="@color/footerBG"
            android:visibility="@{paddingBottomVisible ? View.VISIBLE : View.GONE}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/logo" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
